Exports item fulfillments for a single, specified business date.
Returns a list of ItemFulfillment objects.
No data is returned. The restaurant does not have an active subscription to Toast Restaurant Management Suite Pro or higher.
The request is invalid.
The authentication token is not recognized.
The request is not permitted.
The endpoint was not found.
There was an unexpected server error.
curl -i -X GET \ 'https://toast-api-server/kitchen/v1/export/itemFulfillments?businessDate=string' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'
[- {
- "restaurantGuid": "ea0a8ddc-1996-4cd1-bc9b-c9aaabff38dc",
- "orderGuid": "c97d701b-064e-4c4d-9a3a-8063baec086f",
- "selectionGuid": "24431766-9610-435b-9499-e1558de4f38e",
- "selectionMenuItemGuid": "7fe5e9a1-f3f6-451d-a295-457caf4482c6",
- "selectionMenuItemName": "string",
- "selectionMenuItemMultiLocationId": "string",
- "ticketGuid": "3386f58c-aa32-4c32-b6b1-3eddbce86596",
- "ticketFiredAt": "2019-08-24T14:15:22Z",
- "itemFulfilledAt": "2019-08-24T14:15:22Z",
- "itemStartedAt": "2019-08-24T14:15:22Z",
- "itemFulfillmentLevel": 0,
- "prepStationGuid": "e82d0c04-1273-4c79-8df9-4b34fedef2d8",
- "prepStationName": "string",
- "prepStationMultiLocationId": "string",
- "diningOptionGuid": "c2cfa80e-8c9d-4ee4-bcdb-64e895dfe513",
- "diningOptionName": "string",
- "diningOptionBehavior": "string",
- "courseGuid": "c7cdbf7f-6749-4d78-9045-43ac6d277574",
- "courseName": "string",
- "orderSource": "string"
}
]